View Issue Details

IDProjectCategoryView StatusLast Update
0002260DraftBugpublic2015-12-15 13:15
Reporterf3nix Assigned Toyorik  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.16 
Summary0002260: Unhandled exceptions with Draft->Downgrade
DescriptionHi,
after step 3 I get:

Coin error in SoGroup::removeChild(): tried to remove non-existent child 0x2c34e20 (Switch)

After step 5 I get:

Catchpoint 1 (exception thrown), 0x00007fffee61384d in __cxa_throw () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
---Type <return> to continue, or q <return> to quit---
#0 0x00007fffee61384d in __cxa_throw () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#1 0x00007ffff657561c in Base::InterpreterSingleton::runString (this=0x696d40, sCmd=0x4cbb600 "Draft.downgrade(FreeCADGui.Selection.getSelection(),delete=True)") at /home/f3nix/devel/freecad/FreeCAD/src/Base/Interpreter.cpp:162
0000002 0x00007ffff73a5703 in Gui::Command::doCommand (eType=Gui::Command::Doc, sCmd=0x7fffcc4a280c "Draft.downgrade(FreeCADGui.Selection.getSelection(),delete=True)") at /home/f3nix/devel/freecad/FreeCAD/src/Gui/Command.cpp:432
0000003 0x00007ffff733ead8 in Gui::Application::sDoCommand (args=0x7fffcd3e4050) at /home/f3nix/devel/freecad/FreeCAD/src/Gui/ApplicationPy.cpp:893
0000004 0x00007ffff5feff92 in PyEval_EvalFrameEx () from /usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0
0000005 0x00007ffff6082740 in PyEval_EvalCodeEx () from /usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0
0000006 0x00007ffff601d2ac in ?? () from /usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0
0000007 0x00007ffff60592e3 in PyObject_Call () from /usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0
0000008 0x00007ffff6081347 in PyEval_CallObjectWithKeywords () from /usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0
0000009 0x00007fffee8c7cac in PySide::SignalManager::callPythonMetaMethod(QMetaMethod const&, void**, _object*, bool) () from /usr/lib/x86_64-linux-gnu/libpyside-python2.7.so.1.2
0000010 0x00007fffee8cde10 in ?? () from /usr/lib/x86_64-linux-gnu/libpyside-python2.7.so.1.2
0000011 0x00007ffff073772b in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000012 0x00007fffd135acb3 in ?? () from /usr/lib/python2.7/dist-packages/PySide/QtCore.so
0000013 0x00007ffff073b953 in QObject::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000014 0x00007fffd135a85b in ?? () from /usr/lib/python2.7/dist-packages/PySide/QtCore.so
0000015 0x00007ffff11ea7bc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000016 0x00007ffff11f12d8 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000017 0x00007ffff7328631 in Gui::GUIApplication::notify (this=0x7fffffffce20, receiver=0x2488390, event=0x7fffffffcb20) at /home/f3nix/devel/freecad/FreeCAD/src/Gui/Application.cpp:1552
0000018 0x00007ffff072236d in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000019 0x00007ffff0753ffb in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000020 0x00007ffff0751031 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000021 0x00007fffe9813c3d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000022 0x00007fffe9813f20 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000023 0x00007fffe9813fcc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000024 0x00007ffff075198d in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000025 0x00007ffff1292396 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000026 0x00007ffff0720ec1 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000027 0x00007ffff0721225 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000028 0x00007ffff0726ca9 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000029 0x00007ffff7323a14 in Gui::Application::runApplication () at /home/f3nix/devel/freecad/FreeCAD/src/Gui/Application.cpp:1851
0000030 0x0000000000405a82 in main (argc=1, argv=0x7fffffffe1b8) at /home/f3nix/devel/freecad/FreeCAD/src/Main/MainGui.cpp:235
Unhandled Base::Exception caught in GUIApplication::notify.
The error message is: 'list' object has no attribute 'cut'
Steps To Reproduce1. Open Draft WB.
2. Select object.
3. Draft->Downgrade
4. Select faces.
5. Draft->Downgrade
Additional InformationOS: Debian GNU/Linux testing (stretch)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.5519 (Git)
Build type: Debug
Branch: master
Hash: 216a7479785ef998f552829f2a03de775c2469f4
Python version: 2.7.10
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.
FreeCAD Information

Relationships

related to 0002261 closedyorik Unhandled exceptions with Draft->Downgrade 2 

Activities

f3nix

2015-09-13 07:10

reporter  

frame-xz-v2.FCStd (312,443 bytes)

Related Changesets

FreeCAD: master 047998de

2015-12-03 00:31:23

yorik

Details Diff
Draft: other bugfix in downgrade - fixes 0002260 Affected Issues
0002260
mod - src/Mod/Draft/Draft.py Diff File

Issue History

Date Modified Username Field Change
2015-09-13 07:10 f3nix New Issue
2015-09-13 07:10 f3nix File Added: frame-xz-v2.FCStd
2015-09-13 08:51 wmayer Project FreeCAD => Draft
2015-09-13 08:52 wmayer Assigned To => yorik
2015-09-13 08:52 wmayer Status new => assigned
2015-09-13 08:52 wmayer Relationship added related to 0002261
2015-12-02 23:32 yorik Changeset attached => FreeCAD Master master 047998de
2015-12-02 23:32 yorik Status assigned => closed
2015-12-02 23:32 yorik Resolution open => fixed
2015-12-15 13:15 yorik Fixed in Version => 0.16